%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define src_ver 0.02-0
%define fname aspell6-%{languagecode}
%define aspell_ver 0.60
%define languageenglazy Azeri
%define languagecode az
%define lc_ctype az_AZ

Summary:       %{languageenglazy} files for aspell
Name:          aspell-%{languagecode}
Version:       0.02.0
Release:       %mkrel 19
Group:         System/Internationalization
Source:        https://ftp.gnu.org/gnu/aspell/dict/%{languagecode}/%{fname}-%{src_ver}.tar.bz2
URL:		   http://aspell.net/
License:	   GPL
Provides: spell-%{languagecode}

BuildRequires: aspell >= %{aspell_ver}
BuildRequires: make
Requires:      aspell >= %{aspell_ver}

# Mageia Stuff
Requires:      locales-%{languagecode}
# aspell = 1, myspell = 2, lang-specific = 3
Provides:      aspell-dictionary
Provides:      aspell-%{lc_ctype}

Autoreqprov:   no

%description
An %{languageenglazy} dictionary for use with aspell, a spelling checker.

%prep
%setup -q -n %{fname}-%{src_ver}

%build
# don't use configure macro
./configure

%make_build

%install
%make_install

chmod 644 Copyright README* 

%files
%doc README* Copyright doc/*
%{_libdir}/aspell-%{aspell_ver}/*






%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.02.0-19.mga10
+ Revision: 2194941
- Mageia 10 Mass Rebuild

* Mon Mar 14 2022 umeabot <umeabot> 0.02.0-18.mga9
+ Revision: 1791164
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 17.mga8-current
+ Revision: 1509304
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Fri Sep 21 2018 umeabot <umeabot> 0.02.0-16.mga7
+ Revision: 1294712
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.02.0-15.mga6
+ Revision: 936371
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.02.0-14.mga5
+ Revision: 746735
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.02.0-13.mga5
+ Revision: 677923
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.02.0-12.mga4
+ Revision: 502615
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.02.0-11.mga3
+ Revision: 346196
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 04 2012 kamil <kamil> 0.02.0-10.mga2
+ Revision: 204381
- drop providing of enchant-dictionary
- clean .spec a bit
+ dmorgan <dmorgan>
- Remove mandriva occurencies
- imported package aspell-az
+ ahmad <ahmad>
- imported package aspell-az


* Mon Nov 29 2010 Oden Eriksson <oeriksson@mandriva.com> 0.02.0-9mdv2011.0
+ Revision: 603191
- rebuild

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 0.02.0-8mdv2010.1
+ Revision: 518905
- rebuild

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0.02.0-7mdv2010.0
+ Revision: 413045
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 0.02.0-6mdv2009.1
+ Revision: 349996
- 2009.1 rebuild

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 0.02.0-5mdv2009.0
+ Revision: 220361
- rebuild

* Sun Mar 09 2008 Anssi Hannula <anssi@mandriva.org> 0.02.0-4mdv2008.1
+ Revision: 182399
- provide enchant-dictionary

* Fri Jan 11 2008 Thierry Vignaud <tv@mandriva.org> 0.02.0-3mdv2008.1
+ Revision: 148736
- rebuild
- kill re-definition of %%buildroot on Pixel's request
- s/Mandrake/Mandriva/

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.02.0-2mdv2007.0
+ Revision: 123219
- Import aspell-az

* Wed Feb 21 2007 Oden Eriksson <oeriksson@mandriva.com> 0.02.0-2mdv2007.1
- use the mkrel macro
- disable debug packages

* Fri Dec 03 2004 Pablo Saratxaga <pablo@mandrakesoft.com> 0.02.0-1mdk
- first version

